[Pkg-ocaml-maint-commits] r865 - in packages/advi/trunk/debian: . patches
Sven Luther
luther@haydn.debian.org
Fri, 10 Dec 2004 06:45:46 -0700
Author: luther
Date: 2004-12-10 06:45:31 -0700 (Fri, 10 Dec 2004)
New Revision: 865
Added:
packages/advi/trunk/debian/patches/pagemovement.dpatch
Modified:
packages/advi/trunk/debian/changelog
packages/advi/trunk/debian/patches/00list
packages/advi/trunk/debian/rules
Log:
Forgot to commit the 1.6.0-3 changes.
Added pagemovement patch.
Added man page in the real fashion now.
Modified: packages/advi/trunk/debian/changelog
===================================================================
--- packages/advi/trunk/debian/changelog 2004-12-09 23:37:34 UTC (rev 864)
+++ packages/advi/trunk/debian/changelog 2004-12-10 13:45:31 UTC (rev 865)
@@ -1,6 +1,15 @@
+advi (1.6.0-3) unstable; urgency=low
+
+ * Added doc/advi.1 manpage installation, thanks to Helge Kreutzmann
+ for this. (Closes: #278806)
+ * Fixed page movement after scaling, thanks to Yamagata Yoriyuki for
+ this. (Closes: #245847)
+
+ -- Sven Luther <luther@debian.org> Sun, 28 Nov 2004 12:36:45 +0100
+
advi (1.6.0-2) unstable; urgency=low
- * Forgot to upgrade the ca;limages build-dependency, which caused a FTBFS
+ * Forgot to upgrade the camlimages build-dependency, which caused a FTBFS
because of the Image -> Images module renaming. Fixed now.
-- Sven Luther <luther@debian.org> Sat, 23 Oct 2004 21:47:16 +0200
Modified: packages/advi/trunk/debian/patches/00list
===================================================================
--- packages/advi/trunk/debian/patches/00list 2004-12-09 23:37:34 UTC (rev 864)
+++ packages/advi/trunk/debian/patches/00list 2004-12-10 13:45:31 UTC (rev 865)
@@ -3,3 +3,4 @@
japanese-fonts
cache_dir
bytecode
+pagemovement
Added: packages/advi/trunk/debian/patches/pagemovement.dpatch
===================================================================
--- packages/advi/trunk/debian/patches/pagemovement.dpatch 2004-12-09 23:37:34 UTC (rev 864)
+++ packages/advi/trunk/debian/patches/pagemovement.dpatch 2004-12-10 13:45:31 UTC (rev 865)
@@ -0,0 +1,78 @@
+#! /bin/sh -e
+## pagemovement.dpatch by <luther@debian.org>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: Fixes horizontal page movement after scaling.
+## DP: Closes: #245847
+## DP: Author: Yamagata Yoriyuki <yoriyuki@mbg.ocn.ne.jp>
+
+if [ $# -ne 1 ]; then
+ echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+ exit 1
+fi
+case "$1" in
+ -patch) patch -f --no-backup-if-mismatch -p1 < $0;;
+ -unpatch) patch -f --no-backup-if-mismatch -R -p1 < $0;;
+ *)
+ echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+ exit 1;;
+esac
+
+exit 0
+@DPATCH@
+diff -urN advi-1.6.0-orig/dviview.ml advi-1.6.0/dviview.ml
+--- advi-1.6.0-orig/dviview.ml 2004-09-03 16:31:33.000000000 +0200
++++ advi-1.6.0/dviview.ml 2004-11-28 12:33:32.697759104 +0100
+@@ -354,6 +354,43 @@
+ st.toc <- None;
+ ;;
+
++(*** Initialization ***)
++let init_geometry2 all st =
++ let dvi = st.dvi in
++ let dvi_res = !dpi_resolution
++ and mag = float dvi.Cdvi.preamble.Dvicommands.pre_mag /. 1000.0 in
++ let w_sp = dvi.Cdvi.postamble.Dvicommands.post_width
++ and h_sp = dvi.Cdvi.postamble.Dvicommands.post_height in
++ let w_in = mag *. ldexp (float w_sp /. dvi_res) (-16)
++ and h_in = mag *. ldexp (float h_sp /. dvi_res) (-16) in
++ let width = int_of_float (w_in *. st.base_dpi *. st.ratio)
++ and height = int_of_float (h_in *. st.base_dpi *. st.ratio) in
++ let (size_x, size_y) =
++ if attr.crop then begin
++ let sx = match attr.hmargin with
++ | Px n -> width + 2 * n
++ | In f -> width + int_of_float (st.base_dpi *. 2.0 *. f)
++ | _ -> assert false
++ and sy = match attr.vmargin with
++ | Px n -> height + 2 * n
++ | In f -> height + int_of_float (st.base_dpi *. 2.0 *. f)
++ | _ -> assert false in
++ (min attr.geom.Ageometry.width sx, min attr.geom.Ageometry.height sy)
++ end else
++ (attr.geom.Ageometry.width, attr.geom.Ageometry.height) in
++ if all then
++ begin
++ let orig_x = (size_x - width) / 2
++ and orig_y = (size_y - height) / 2 in
++ st.size_x <- size_x;
++ st.size_y <- size_y;
++ st.orig_x <- orig_x;
++ st.orig_y <- orig_y;
++ end;
++ st.dvi_width <- width;
++ st.dvi_height <- height;
++ st.toc <- None
++
+ let init master filename =
+ let dvi =
+ try Cdvi.load filename
+@@ -437,7 +474,7 @@
+ Grdev.set_bbox (Some (st.orig_x, st.orig_y, st.dvi_width, st.dvi_height));;
+
+ let update_dvi_size all ?dx ?dy st =
+- init_geometry all st;
++ init_geometry2 all st;
+ begin match dx with None -> () | Some z -> st.orig_x <- z end;
+ begin match dy with None -> () | Some z -> st.orig_y <- z end;
+ set_bbox st;;
Modified: packages/advi/trunk/debian/rules
===================================================================
--- packages/advi/trunk/debian/rules 2004-12-09 23:37:34 UTC (rev 864)
+++ packages/advi/trunk/debian/rules 2004-12-10 13:45:31 UTC (rev 865)
@@ -118,7 +118,7 @@
mv $(CURDIR)/debian/advi/usr/share/doc/advi/examples/examples \
$(CURDIR)/debian/advi/usr/share/doc/advi/examples/upstream-examples
dh_installmenu
- dh_installman
+ dh_installman doc/advi.1
dh_installchangelogs
dh_link
if [ -e opt-built-stamp ]; then \